--- title: "Manage user capabilities" description: "Learn about the capabilities your user must have to get business financing and how to manage them." url: "https://docs.adyen.com/capital/manage-user-capabilities" source_url: "https://docs.adyen.com/capital/manage-user-capabilities.md" canonical: "https://docs.adyen.com/capital/manage-user-capabilities" last_modified: "2026-05-25T12:55:00+02:00" language: "en" --- # Manage user capabilities Learn about the capabilities your user must have to get business financing and how to manage them. [View source](/capital/manage-user-capabilities.md) Your users are represented by an account holder resource in your balance platform. Each account holder is associated with a set of capabilities that determine what they can do on your platform. To access business financing with Adyen Capital, users must have *capital capabilities*. In most cases, Adyen configures the necessary capabilities during the [design phase](/capital/get-started#design-implementation) of your Capital integration. These capabilities are then automatically requested for your users when you create account holders for them. However, you can request these capabilities later and enable or disable them for individual account holders if needed. ## Requirements Before you begin, take into account the following requirements, limitations, and preparations. | Requirement | Description | | ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | **Integration type** | You must have an Adyen for Platforms integration with the Capital financial product enabled. | | **API credentials** | To manage user capabilities through the API, you must have a [Balance Platform API key](/capital/manage-access#api-credentials) (for example, **ws\[\_123456]@BalancePlatform.\[YourBalancePlatform]**) to access the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview). Your API credential must have the following role:- **Balance Platform BCL role** | | **Customer Area roles** | To manage user capabilities in the Customer Area, you must have the following [user role](/account/user-roles#platforms):- **Manage account holder capabilities** | | **Limitations** | Your user must operate in one of the [supported countries/regions](/capital#supported-countriesregions). | | **Setup steps** | Before you begin, make sure:- You reached out to your Adyen contact to set up the necessary configurations to add the Capital financial product to your integration. For more details, see our [Integration checklist](/capital/integration-checklist). - You followed our [compliance guidelines for Capital](/capital/compliance-guidelines) when creating user interfaces, marketing materials, and other processes. - You read our documentation about [capability settings](/platforms/verification-overview/capabilities#capability-settings) and [capability verification statuses](/platforms/verification-overview/capabilities#verification-status-of-a-capability). | ## Capital capabilities Adyen Capital requires your user's account holder to have the following capabilities: | Capability name | Display name in Customer Area | Description | | ------------------ | ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | **getGrantOffers** | Receive grant offers | Allows users to receive offers for business financing based on the volume of their payment processing. When you request this capability for a user, Adyen evaluates their eligibility for business financing. When the user qualifies and the capability is [allowed](/platforms/verification-overview/capabilities#capability-settings), Adyen generates [grant offers](/capital/get-grant-offers) for them. | | **receiveGrants** | Receive grants | Allows users to receive business financing funds from Adyen. When you request this capability, Adyen verifies whether the account holder has signed the [Terms of Service](/capital/terms-of-service). When they have and both `getGrantOffers` and `receiveGrants` capabilities are [allowed](/platforms/verification-overview/capabilities#capability-settings), you can proceed to [disburse the funds](/capital/make-grant-request) to your user. | ## Request a capability If needed, you can request capabilities for your account holders in your Customer Area or using the Configuration API. The following tabs show how to request a capability. ### Tab: Customer Area To request a capability for an account holder in your [Customer Area](https://ca-test.adyen.com/): 1. Do one of the following: * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table. * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity. 2. On the **Account holder details** page, select the **Capabilities** tab and select **+ Request new capability**. 3. From the dropdown menu, select a capability and, if applicable, its level. 4. Select **Submit**. 5. On the confirmation window, select **Submit request**. The capability request is sent to Adyen for approval. ### Tab: API To request a capability for an account holder using the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview): 1. Make a PATCH [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)) request, specifying the key-value pairs for each capability in the [capabilities](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)#responses-200-capabilities) object. Set the [requested](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)#request-capabilities-requested) parameter to **true**. Here is an example of how to request the `getGrantOffers` capability for an existing user. If you are requesting multiple capabilities, add another set of key-value pairs. **Request a capability** ```bash curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders/AH00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X PATCH \ -d '{ "capabilities" : { "getGrantOffers" : { "requested" : true } } }' ``` 2. In the response, note the following parameters and their respective values for the capability: * `requested`: **true** * `allowed`: **false** * `verification status`: **pending** **Response** ```json { "balancePlatform": "YOUR_BALANCE_PLATFORM", "id": "AH00000000000000000000001", "legalEntityId": "LE00000000000000000000001", "description": "S.Hopper", "capabilities": { "getGrantOffers": { "requested": true, "allowed": false, "verificationStatus": "pending" } } } ``` ## View capabilities You can view an account holder's capabilities and their verification status in your [Customer Area](https://ca-test.adyen.com/) or by making a GET [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)) request. The following tabs explain both methods. ### Tab: Customer Area To view capabilities of an account holder in your [Customer Area](https://ca-test.adyen.com/): 1. Do one of the following: * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table. * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity. 2. On the **Account holder details** page, select the **Capabilities** tab. You can view the capabilities that are enabled, allowed and their verification status. ### Tab: API To view the capabilities of an account holder using the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview): 1. Make a GET [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)) request. 2. In the [capabilities](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities) object of the response, note the following parameters and values that are listed for each capability: * [allowed](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-allowed): Boolean that indicates whether the capability is allowed. The possible values are **true** or **false**. * [enabled](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-enabled): Boolean that indicates whether the user can use the capability. The possible values are **true** or **false**. * [verificationStatus](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-verificationStatus): The status of the checks. The possible values are **invalid**, **pending**, **rejected**, or **valid**. * [problems](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-problems) array: When this array is not empty, this means that there are errors that you need to address. Refer to [verification error codes](/capital/kyc-verification-codes) for a list of verification errors. ## Enable or disable a capability To allow or prevent an account holder from using a capability, update the capability in your [Customer Area](https://ca-test.adyen.com/) or make an API request. The following tabs explain both methods. ### Tab: Customer Area To enable or disable a capability for an account holder in your [Customer Area](https://ca-test.adyen.com/): 1. Do one of the following: * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table. * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity. 2. On the **Account holder details** page, select the **Capabilities** tab and select **Edit**. 3. In the **Enabled** column: * Select the corresponding checkbox to *enable* the capability. * Clear the corresponding checkbox to *disable* the capability. 4. Select **Save**. 5. On the confirmation window, select **Save changes**. ### Tab: API To enable or disable a capability for an account holder using the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview): 1. Make a PATCH [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)) request specifying the following parameter for a capability: * [enabled](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-enabled): Set this to **true** or **false** to enable or disable the capability, respectively. Here is an example of how to disable the `getGrantOffers` capability for an account holder. If you are requesting multiple capabilities, add another set of key-value pairs. **Disable a capability** ```bash curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders/AH00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X PATCH \ -d '{ "capabilities": { "getGrantOffers": { "enabled": false } } }' ``` 2. In the response, note the following parameters and their respective values for each capability: * `enabled`: **false** * `allowed`: **true** * `verification status`: **valid** **Response** ```json { "balancePlatform": "YOUR_BALANCE_PLATFORM", "id": "AH00000000000000000000001", "legalEntityId": "LE00000000000000000000001", "description": "S.Hopper", "capabilities": { "getGrantOffers": { "enabled": false, "allowed": true, "verificationStatus": "valid" } } } ``` ## Next steps [Integrate with components](/capital/terms-of-service) [Learn how to integrate our prebuilt UI components to accelerate your Capital integration process.](/capital/terms-of-service) [Integrate using APIs](/capital/make-grant-request) [Learn how to use our APIs to build your Capital integration from scratch.](/capital/make-grant-request)